﻿#!/bin/sh
# localisation initiale des paquetages kaspersky : /data/deb/kaspersky
# repertoire des parametres retranslator : /opt/kaspersky/retranslator
# repertoire des logs : /var/log/kaspersky/retranslator
# fichiers modifies :
#       /etc/crontab
#       /etc/logrotate.d/logrotate.conf
#       /opt/kaspersky/retranslator/retranslator.conf
#
# 1.0.0.0 version soumise à validation sans gestion de mir-kav6
# 1.0.0.a ajout controle existence /data/deb/kaspersky et création si nécessaire
# 1.0.1.0 retrait de la gestion du proxy source de mise à jour unique sur BdX
# 1.0.1.a integartion execution du script mir-local2mir-bdx.sh
p_nom=${0##*/}
Version="1.0.1.a"
p_date="2011.03.24"

echo -e "\fCette procedure installe le miroir local sur ce serveur."
echo -e "\nLes fichiers de log generes sont les suivants :"
echo "  - /var/log/kaspersky/install-retranslator.log"
echo "  - /var/log/kaspersky/mirkav6-error.log"
echo -e "initialisation du miroir par le telechargement de miroir.tgz (350 Mo)"
echo -e "\nVoulez vous continuer O/N ? (en majuscule)"
read res
if [ "$res" = "O" ]
then echo ok
else echo -e "\n\nCe script va s'arreter.\n\n"
        exit 1
fi
# vÃ©rif du profil root
admin=`id |awk '{print $1}'|sed -r "s/uid=0\(//"|sed -r "s/\)//"`
if [ "$admin" != "root" ]
        then echo -e "\ala session en cours n'est pas root"
        exit 1
fi
#####
# gestion des parametres et des variables
source /etc/sysconfig/.site
CONFIGURE_ENTER_KEY_PATH=/data/deb/kaspersky
if [ ! -d "$CONFIGURE_ENTER_KEY_PATH" ]
  then mkdir -p $CONFIGURE_ENTER_KEY_PATH
fi
# la liste des fichiers a recuperer
FIC1="retranslator.tar.gz"
FIC2="miroir.tgz"
FIC3="retranslator.conf"
FIC4="logrotate-retranslator.conf"
### par securitÃ© cd sur rep  pour retrouver les fichiers
cd $CONFIGURE_ENTER_KEY_PATH
for FIC in $FIC1 $FIC2 $FIC3 $FIC4; do
  # le fichier est vide ou n'existe pas on le telecharge
  if   [ -s $FIC ] ; then
       echo "$p_nom: $FIC deja  telecharge..."
  elif [ -s ../$FIC ] ; then
       # le fichier est sur le rep parent :-( on le dÃ©place
       echo "$p_nom: $FIC a  deplacer..."
       mv -f ../$FIC .
  else
      echo "$p_nom: Telechargement $FIC ..."
      echo "$p_nom: tentative sur le centre serveur"
      wget --no-proxy "ftp://%%serveur_metier[0]/ecdl-updates/deb/kaspersky/${FIC}" -O ${FIC}
      if [ -s $FIC ] ; then
           echo "$p_nom: Ok"
      else
           echo "$p_nom: $FIC non trouve sur centre serveur..."
           echo "$p_nom: tentative depuis un autre site"
                   wget --no-proxy "http://%%serveur_metier[1]/deb/kaspersky/${FIC}" -O ${FIC}
      fi
  fi
  if [ -s $FIC ] ; then
     echo "Ok..."
  else
     echo "$p_nom: *** Erreur ****: pb telechargement de $FIC"
     exit 0
  fi
done

mkdir -p /var/log/kaspersky/retranslator
mkdir -p /data/bureautique/diffusion/mir-kav
mkdir -p /data/bureautique/diffusion/mir-kav6
mkdir -p /data/bureautique/diffusion/backup-mirkav
if [ ! -d /opt/kaspersky ]
        then mkdir /opt/kaspersky
fi
cd /opt/kaspersky
echo "installation de retranslator"
tar -xzf /data/deb/kaspersky/retranslator.tar.gz
echo "gestion de la rotation de logs kaspersky"
# un simple cp
cp ${CONFIGURE_ENTER_KEY_PATH}/logrotate-retranslator.conf /etc/logrotate.d/retranslator
### /opt/kaspersky/retranslator/retranslator
##
if [ `cat /etc/crontab | grep retranslator | wc -l ` -eq 0 ]
  echo "Ajout de /opt/kaspersky/retranslator/retranslator dans /etc/crontab"
  then echo "10 3 * * * root /opt/kaspersky/retranslator/retranslator > /dev/null" >>/etc/crontab
fi
service cron restart
# recuperation de l'adresse proxy dans les parametres du serveur
# devenu inutile avec l'usage du miroir de Bordeaux
#echo "personnalisation de retranslator.conf"
#source /usr/share/esbl/param.source
#if [ "${eq_serv_proxy}" == "" ] ; then
#    source /usr/share/esbl/param_nat.sh
#	cat /opt/kaspersky/retranslator/retranslator.conf | sed 's/ProxyAddress=/ProxyAddress='"${eq_serv_proxy}:8080"'/g' >/opt/kaspersky/retranslator/temp.conf
#	mv /opt/kaspersky/retranslator/temp.conf /opt/kaspersky/retranslator/retranslator.conf
#else
#	cat /opt/kaspersky/retranslator/retranslator.conf | sed 's/ProxyAddress=/ProxyAddress='"${eq_serv_proxy}"':'"${eq_serv_portproxy}"'/g' >/opt/kaspersky/retranslator/temp.conf
#	mv /opt/kaspersky/retranslator/temp.conf /opt/kaspersky/retranslator/retranslator.conf
#fi
#chmod 644 /opt/kaspersky/retranslator/retranslator.conf
/usr/share/esbl/bin/mir-local2mir-bdx.sh
cd /opt/kaspersky/retranslator
chmod u+x *
#initialisation du miroir avec une archive
cd /
tar -xzf /data/deb/kaspersky/miroir.tgz
/opt/kaspersky/retranslator/retranslator
cd /data/bureautique/diffusion/mir-kav
#echo "duplication du miroir mir-kav et mir-kav6"
#find . | cpio -pdum /data/bureautique/diffusion/mir-kav6

