#!/bin/bash
# Installation webmin + module fsacls
##################
##################
p_nom=${0##*/}

. /etc/eole/network_containers.conf


if [ "$adresse_ip_br0" != "127.0.0.1" ]; then
    if [ -e "/etc/eole/containers.conf" ]; then
        echo " le paquet exxl_inst_webmin_fichier.sh ne s'installe que dans le conteneur fichier"
        exit 1
    fi
else
    echo " le paquet exxl_inst_webmin_fichier.sh ne s'installe que sur un serveur en mode conteneur"
    exit 1
fi


. /etc/sysconfig/.site
cd /usr/share/${eq_modele}
echo installation de webmin et module fsacls

# si le serveur est natif V2
if [ $(mount |grep " /home "|wc -l) -eq 1 ]; then
    if [ ! -L /data ]; then
        ln -s /home/data /data
    fi
fi

[ ! -d /data/deb ] && /bin/mkdir -p /data/deb
cd /data/deb

FIC="webmin-fsacls-0.6.4.wbm.gz"
if [ -s $FIC ] ; then
   echo "$p_nom: $FIC deja téléchargé..."
else
    echo "$p_nom: Il faut au PREALABLE installer webmin sur le maitre (exxl_inst_webmin.sh)"
    exit 1
##   wget --no-proxy -q "http://${eq_site}/deb/$FIC" -O $FIC
fi

FIC="webmin_1.550_all.deb"
if [ -s $FIC ] ; then
    echo "$p_nom: $FIC deja téléchargé..."
else
    echo "$p_nom: Il faut au PREALABLE installer webmin sur le maitre (exxl_inst_webmin.sh)"
    exit1
##    wget --no-proxy -q "http://${eq_site}/deb/$FIC" -O $FIC
fi

cd /usr/share/${eq_modele}

### Les sources liste sont en place (il faut en plus gérer la version eole)
##apt-get -qq update
#Installation des pré-requis à Webmin:
##apt-get -y install perl libnet-ssleay-perl openssl libauthen-pam-perl libpam-runtime libio-pty-perl apt-show-versions
#apt-get install libauthen-pam-perl libio-pty-perl libmd5-perl
#apt-get install libauthen-pam-perl libio-pty-perl libmd5-perl

#Installation de Webmin
dpkg --install --force-confdef /data/deb/${FIC}
##apt-get -f -y install

#Rajout du module ACLs
/usr/share/webmin/install-module.pl /data/deb/webmin-fsacls-0.6.4.wbm.gz
##python /usr/share/${eq_modele}/bin/aclmount
#python /usr/share/eole/preinstance/aclmount
#Fichier de conf Webmin
cp modeles/webmin.config /etc/webmin/config
cp modeles/webmin_fsacls.conf /etc/webmin/fsacls/config

exit 0

